test: _DMA_OPERATIONS struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _DMA_OPERATIONS Struct Reference

`#include <hal.h>`

List of all members.

## Public Attributes

ULONG | Size
PPUT_DMA_ADAPTER | PutDmaAdapter
PALLOCATE_COMMON_BUFFER | AllocateCommonBuffer
PFREE_COMMON_BUFFER | FreeCommonBuffer
PALLOCATE_ADAPTER_CHANNEL | AllocateAdapterChannel
PFLUSH_ADAPTER_BUFFERS | FlushAdapterBuffers
PFREE_ADAPTER_CHANNEL | FreeAdapterChannel
PFREE_MAP_REGISTERS | FreeMapRegisters
PMAP_TRANSFER | MapTransfer
PGET_DMA_ALIGNMENT | GetDmaAlignment
PREAD_DMA_COUNTER | ReadDmaCounter
PGET_SCATTER_GATHER_LIST | GetScatterGatherList
PPUT_SCATTER_GATHER_LIST | PutScatterGatherList

## Member Data Documentation

PALLOCATE_ADAPTER_CHANNEL _DMA_OPERATIONS::AllocateAdapterChannel

| Definition at line 1858 of file hal.h.

PALLOCATE_COMMON_BUFFER _DMA_OPERATIONS::AllocateCommonBuffer

| Definition at line 1856 of file hal.h.

PFLUSH_ADAPTER_BUFFERS _DMA_OPERATIONS::FlushAdapterBuffers

| Definition at line 1859 of file hal.h.

PFREE_ADAPTER_CHANNEL _DMA_OPERATIONS::FreeAdapterChannel

| Definition at line 1860 of file hal.h.

PFREE_COMMON_BUFFER _DMA_OPERATIONS::FreeCommonBuffer

| Definition at line 1857 of file hal.h.

PFREE_MAP_REGISTERS _DMA_OPERATIONS::FreeMapRegisters

| Definition at line 1861 of file hal.h.

PGET_DMA_ALIGNMENT _DMA_OPERATIONS::GetDmaAlignment

| Definition at line 1863 of file hal.h.

PGET_SCATTER_GATHER_LIST _DMA_OPERATIONS::GetScatterGatherList

| Definition at line 1865 of file hal.h.

PMAP_TRANSFER _DMA_OPERATIONS::MapTransfer

| Definition at line 1862 of file hal.h.

PPUT_DMA_ADAPTER _DMA_OPERATIONS::PutDmaAdapter

| Definition at line 1855 of file hal.h.

PPUT_SCATTER_GATHER_LIST _DMA_OPERATIONS::PutScatterGatherList

| Definition at line 1866 of file hal.h.

PREAD_DMA_COUNTER _DMA_OPERATIONS::ReadDmaCounter

| Definition at line 1864 of file hal.h.

ULONG _DMA_OPERATIONS::Size

| Definition at line 1854 of file hal.h.

The documentation for this struct was generated from the following file:

- hal.h